%global dlrn_nvr ironic-python-agent-builder-2.1.1.dev20-1.20200916224659.69e41ff
%global dlrn 1
%define upstream_version 2.1.1.dev20
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           openstack-ironic-python-agent-builder
Summary:        Builder of ironic-python-agent ramdisk images
Version: 2.1.1
Release: 1.20200916224659.69e41ff%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://docs.openstack.org/ironic-python-agent-builder
Source0: ironic-python-agent-builder-2.1.1.dev20-1.20200916224659.69e41ff.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=69e41ff7618ff719fc5182471a84f9fd4705e19c

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

Requires:       diskimage-builder

%description
This package contains a script to build an ironic-python-agent builder, as well
as a diskimage-builder element for it.

%prep
%autosetup -n ironic-python-agent-builder-%{upstream_version} -S git

%build
%{pyver_build}

%install
%{pyver_install}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%files
%license LICENSE
%doc README.rst
%doc AUTHORS
%doc ChangeLog
%{pyver_sitelib}/ironic_python_agent_builder*
%{_bindir}/ironic-python-agent-builder
%{_datadir}/ironic-python-agent-builder

%changelog
* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix typo in spelling of "finalise", breaking build

* Mon Sep 14 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix cacert path for TLS element
- Add dosfsutils for EFI to tinyipa
- Followups for TLS support
- Add element to configure IPA with TLS, use configdir
- Install libssl-dev / openssl-devel when building IPA
- Use converted ipa jobs

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Build centos8 on centos8
- Remove old proc before finalising tinyipa

* Fri Aug 28 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Leave kbd installed

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Move zuul config in zuul.d

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Pin pip version to install in tinyipa images

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix finalise tinyipa

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Update name of ipa job

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Support installing with Python 3 on CentOS 7

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Log IPv6 configuration status for tinycore

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add dynamic-login to our published images by default

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Strip some excess from the centos dib image

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add Tripleo IPA build image job in zuul layout

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- [tinyipa] Fix getting MTU via dhcp

* Sat Jul 18 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Set min version of tox to 3.2.1

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fixes DIB_IPA_CERT certificate copy issue

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Build tinyipa on focal

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Disable EPEL on CentOS 8 by default

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Disable automatic updates in dnf-based systems

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Run ensure-pip in the build/check jobs

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix python-dev package mapping

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Install missing ffi development library

* Sat May 23 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add releasenotes link to README

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Change ownership of tce info dir

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Install linux-firmware in DIB images

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Update tox.ini

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Upgrade flake8-import-order version to 0.17.1

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- [Trivial] Doc update on the stable-interface-names

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Cleanup py27 support

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Install e2fsprogs in dib images

* Sun Mar 29 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add DIB_REPOREF_requirements when building images using a specific branch

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Workaround for missing adjtime file
- Use variables for ssh paths

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Use python3 binary for all operations

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Use train branch for centos7 job

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Force DIB_PYTHON_VERSION to 3 for Debian
- Make Ubuntu Bionic job green again
- Upgrade pip if it's too old

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add ntpdate/ntpclient/chrony
- Upgrade to tinycore 10.x

* Mon Feb 10 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add extra filesystem support

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Revert "Test artifact publishing via AFS"

* Thu Feb 06 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Test artifact publishing via AFS

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Use correct command for Python virtualenv

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix pip install pkgs with non-ascii characters in filenames

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "DIB: replace targetcli with target-restore on RHEL/CentOS 8"
- DIB: replace targetcli with target-restore on RHEL/CentOS 8

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix and return the CentOS 7 job

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Start installing DIB from Zuul-cloned sources in the CI

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Add efivar"
- CI: add a non-voting partition-iscsi DIB job
- Add efivar

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Convert versions for software builds to variables"
- Convert versions for software builds to variables

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Upgrade syslinux version"
- Merge "Use variables for syslinux in build-iso script"
- Upgrade syslinux version
- Use variables for syslinux in build-iso script

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Replace CentOS 7 images with CentOS 8"
- Replace CentOS 7 images with CentOS 8

* Mon Dec 23 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Be a bit more verbose around tinyipa for rescue

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix the binary name in document

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Add efibootmgr"
- Add efibootmgr

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Update tinycore mirrors"
- Update tinycore mirrors

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Revert "Update tinycore from 9.x to 10.x""
- Revert "Update tinycore from 9.x to 10.x"

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add words on building image for other architecture

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Update tinycore from 9.x to 10.x"
- Update tinycore from 9.x to 10.x

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Drop python 2.7 support and testing

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix IPA execution issues due to lack of entropy

* Tue Nov 19 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Generate checksums for DIB images

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "CLI: add --verbose and --extra-args"
- CLI: add --verbose and --extra-args

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- tinyIPA: raise udevadm settle timeout

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "DIB: add --branch argument to override IPA branch"
- DIB: add --branch argument to override IPA branch

* Sat Oct 26 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Clone and checkout is not needed anymore"
- Clone and checkout is not needed anymore

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Blacklist sphinx 2.1.0 (autodoc bug)"
- Blacklist sphinx 2.1.0 (autodoc bug)

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Revert "Temporary raise diskimage-builder to the latest version""
- Revert "Temporary raise diskimage-builder to the latest version"

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Update upper-constraints handling

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Allow extra python pakgs into tinyipa"
- Allow extra python pakgs into tinyipa

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Allow changing DIB_RELEASE and add a job with CentOS 8
- Merge "Slim down the pre-built DIB IPA images"
- Merge "DIB: allow disabling rescue mode"
- Merge "Increase the DIB DHCP timeout to 60"
- Merge "DIB: default to installing pip and virtualenv from packages"
- Slim down the pre-built DIB IPA images
- DIB: allow disabling rescue mode
- DIB: default to installing pip and virtualenv from packages
- Increase the DIB DHCP timeout to 60

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Temporary raise diskimage-builder to the latest version

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "DIB: do not mention dhcp-all-interfaces explicitly"
- DIB: add non-voting image building jobs for various distros
- DIB: do not mention dhcp-all-interfaces explicitly

* Tue Oct 01 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Clean up the ansible playbooks"
- Clean up the ansible playbooks

